<?php
mb_language('ja');
mb_internal_encoding('UTF-8');
/**
 * mail() を使う方法
 *
 * sendmailサーバなどの自宅メールサーバを構築している人向けです。
 * php.ini の sendmail_path 等を正しく設定してください。
 * 携帯メールには届きません。拒否されます。
 * Outbound Port 25 Blocking を実施しているプロパイダの回線からは送信できません。
 */

function sendmail($to, $subject, $body)
{
	///// あなたの環境にあわせて書き換えてください /////
	// ここから
	$myname = 'L2J スタッフ';
	$from = '**********@*****.com';
	// ここまで
	////////////////////////////////////////////////////

	if (stristr($body, '<html>') == TRUE) $ContentType = 'text/html';
	else                                  $ContentType = 'text/plain';

	$head  = "From: ".mb_encode_mimeheader($myname)." <$from>\r\n"
		. "Reply-To: $from\r\n"
		. "X-Mailer: L2J ACM/PHP/mail\r\n"
		. "Content-Transfer-Encoding: 7bit\r\n"
		. "Content-Type: $ContentType; charset=iso-2022-jp\r\n";

	return mail($to
		, mb_encode_mimeheader($subject)
		, mb_convert_encoding($body, 'iso-2022-jp', mb_internal_encoding())
		, $head);
}
/**
php.ini の sendmail_path (デフォルト＝/usr/sbin/sendmail -t -i)

mail(第1引数,第2引数,第3引数,第4引数,第5引数);

$ /usr/sbin/sendmail -t -i [第5引数]
To: [第1引数]
Subject: [第2引数]
[第4引数]

[第3引数]
**/
?>
